﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<Model>()
            {
                new Model("John", 25),
                new Model("David", 45 ),
                new Model("Smith", 64 ),
                new Model("Rahul", 30 ),
                new Model("Michael", 46),
                new Model("Davis", 49),
            };

        }
    }

    public class Model
    {
        public string XValue { get; set; }

        public double YValue { get; set; }

        public Model(string xValue, double high)
        {
            XValue = xValue;
            YValue = high;
        }
    }
}
